$(document).ready(function() {

  // $('#calendar').fullCalendar({
  //   header: {
  //     left: 'prev,next today',
  //     center: 'title',
  //     right: 'month,agendaWeek,agendaDay,listWeek'
  //   },
  //   defaultDate: Date(),
  //   navLinks: true, // can click day/week names to navigate views
  //   weekNumbers: true,
  //   weekNumbersWithinDays: true,
  //   weekNumberCalculation: 'ISO',
  //   editable: true,
  //   allDay: true,
  //   events:[ {
  //   title: 'Default Event',
  //       start: '2018-08-07',
  //       end: '2018-08-10'
  //   }],
  //   eventLimit: true, // allow "more" link when too many events
  //   eventDrop: function(event, delta, revertFunc) {
  //     $('#start_date').val(event.start.format());
  //   }
  // });

  var initialLocaleCode = 'en';

  $('#calendar').fullCalendar({
    schedulerLicenseKey: 'CC-Attribution-NonCommercial-NoDerivatives',
    now: '2018-09-06',
    editable: true, // enable draggable events
    aspectRatio: 1.8,
    scrollTime: '00:00', // undo default 6am scrollTime
    header: {
      left: 'promptTrainer promptRoom today prev,next',
      center: 'title',
      right: ''
    },
    customButtons: {
      promptTrainer: {
        text: '+ trainer',
        click: function() {
          var title = prompt('Trainer name');
          if (title) {
            $('#calendar').fullCalendar(
              'addResource',
              { title: title },
              true // scroll to the new resource?
            );
          }
        }
      },
      promptRoom: {
        text: '+ room',
        click: function() {
          var title = prompt('Room name');
          if (title) {
            $('#calendar').fullCalendar(
              'addResource',
              { title: title },
              true // scroll to the new resource?
            );
          }
        }
      }
    },
    defaultView: 'timelineDay',
    views: {
      timelineThreeDays: {
        type: 'timeline',
        duration: { days: 3 }
      }
    },
    resourceGroupField: 'resourceType',
    //resourceLabelText: 'Rooms',
    resources: [
      { id: 'a', resourceType: 'Trainer', title: 'Resource 1' },
      { id: 'b', resourceType: 'Trainer', title: 'Resource 2' },
      { id: 'c', resourceType: 'Trainer', title: 'Resource 3' },
      { id: 'd', resourceType: 'Trainer', title: 'Resource 4' },
      { id: 'e', resourceType: 'Room', title: 'Resource 5' },
      { id: 'f', resourceType: 'Room', title: 'Resource 6' },
      { id: 'g', resourceType: 'Room', title: 'Resource 7' },
      { id: 'h', resourceType: 'Room', title: 'Resource 8' },
      { id: 'i', resourceType: 'Equipment', title: 'Resource 9' },
      { id: 'j', resourceType: 'Equipment', title: 'Resource 10' }
    ],
    events: [
      { id: '1', resourceIds: ['b', 'e'], start: '2018-09-06T02:00:00', end: '2018-09-06T07:00:00', title: 'event 1' },
      { id: '2', resourceId: 'c', start: '2018-04-07T05:00:00', end: '2018-04-07T22:00:00', title: 'event 2' },
      { id: '3', resourceId: 'd', start: '2018-04-06', end: '2018-04-08', title: 'event 3' },
      { id: '4', resourceId: 'e', start: '2018-04-07T03:00:00', end: '2018-04-07T08:00:00', title: 'event 4' },
      { id: '5', resourceId: 'f', start: '2018-04-07T00:30:00', end: '2018-04-07T02:30:00', title: 'event 5' }
    ]
  });

  // build the locale selector's options
  $.each($.fullCalendar.locales, function(localeCode) {
    $('#locale-selector').append(
      $('<option/>')
        .attr('value', localeCode)
        .prop('selected', localeCode == initialLocaleCode)
        .text(localeCode)
    );
  });

  // when the selected option changes, dynamically change the calendar option
  $('#locale-selector').on('change', function() {
    if (this.value) {
      $('#calendar').fullCalendar('option', 'locale', this.value);
    }
  });

});
