require 'rails'

module ResourcePlanner
  class Engine < ::Rails::Engine
    isolate_namespace ResourcePlanner

    # Make the asset pipeline for the following gems/engines available to the application
    #require 'less-rails'

    require 'browser-timezone-rails'

    require 'jquery-ui-rails'
    require 'jquery-week-calendar'

    #require 'kendoui-rails'

    require 'momentjs-rails'
    require 'fullcalendar-rails'

    require 'event_calendar'

    require 'jbuilder'

    config.generators do |g|
      g.test_framework :rspec, :fixture_replacement => :factory_bot, :views => false, :helper => true
      g.view_specs false
      g.helper_specs true
      g.fixture_replacement :factory_bot, :dir => 'spec/factories'
    end

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    # monkey patch via: http://pivotallabs.com/leave-your-migrations-in-your-rails-engines/
    initializer :append_resource_planner_engine_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths['db/migrate'].expanded.each { |expanded_path| app.config.paths['db/migrate'] << expanded_path }
      end
    end

    #initializer :append_less_file_locations do |app|
    #  app.config.less.paths << File.join(config.root, 'app/assets/stylesheets/kendo-ui-core/common')
    #  app.config.less.paths << File.join(config.root, 'app/assets/stylesheets/kendo-ui-core/mobile')
    #  app.config.less.paths << File.join(config.root, 'app/assets/stylesheets/kendo-ui-core/web')
    #end

    # Load translations from config/locales/*.rb,yml are auto loaded.
    config.i18n.load_path += Dir[File.join(File.dirname(__FILE__), '..', '..', 'config', 'locales', '**', '*.{rb,yml}').to_s]
  end
end
