# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "resource_planner/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "resource_planner"
  s.version     = ResourcePlanner::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "ResourcePlanner engine (v#{s.version})"
  s.description = "Resource calendar management"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  #s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "resource_planner", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/resource_planner_tasks.rake", "lib/resource_planner.rb"]

  s.add_dependency 'rails', '~> 5.0'

  s.add_dependency 'jquery-rails'
  s.add_dependency 'jquery-ui-rails'
  s.add_dependency 'jquery-week-calendar'

  # Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
  s.add_dependency 'jbuilder' #, '~> 1.2'

  #if RUBY_PLATFORM =~ /java/
  #  s.platform = 'java'
  #  s.add_dependency 'therubyrhino'
  #else
  #  s.add_dependency 'therubyracer'
  #end
  #s.add_dependency 'less-rails'

  # client-side UI
  s.add_dependency 'ember-rails'
  #s.add_dependency 'ember-source'
  # -- OR --
  s.add_dependency 'angularjs-rails'
  s.add_dependency 'backbone-rails'
  s.add_dependency 'marionette-rails'

  # Browser timezone detection
  s.add_dependency 'browser-timezone-rails'

  # calendar
  s.add_dependency 'event-calendar'

  s.add_dependency 'momentjs-rails'
  s.add_dependency 'fullcalendar-rails'

  #s.add_dependency 'kendoui-rails'

  # iCal processor
  s.add_dependency 'icalendar'
  s.add_dependency 'ice_cube'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = RESOURCE_PLANNER_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency "#{in_house_engine.to_s}" }

end
